Subject: Re: bug#20154: 25.0.50; json-encode-string is too slow for large strings

From: Dmitry Gutov <[email-masked]>
Date: Sat, 21 Mar 2015 23:32:49 +0200

On 03/21/2015 11:05 PM, Drew Adams wrote:

> (FYI, I'm not following this thread.)  I will just say that if you want
> or need to have something like `json-encode-string' be coded in C for
> speed, an alternative might be for the actual code to invoke a Lisp
> function when bound to a variable, e.g., `json-encode-string-function'.

Rather, `json-encode-function'.

But that's solving a different problem, one we'd be lucky to have.

> What
> would, I think, be too bad would be to make it impossible or difficult
> for users to provide their own encoding function (without messing with
> C and rebuilding Emacs).

Yes, without FFI in Emacs that's pretty useless.